[[!meta title="Install from Debian, Ubuntu, or Mint"]]

[[!meta stylesheet="bootstrap.min" rel="stylesheet" title=""]]
[[!meta stylesheet="inc/stylesheets/assistant" rel="stylesheet" title=""]]
[[!meta stylesheet="inc/stylesheets/steps" rel="stylesheet" title=""]]
[[!meta stylesheet="inc/stylesheets/debian" rel="stylesheet" title=""]]

<div class="hidden-step-1"></div>

<div class="step-image">[[!img install/inc/infography/os-debian-ubuntu.png link="no" alt=""]]</div>

Start in Debian, Ubuntu, or Linux Mint.

[[!inline pages="install/inc/steps/debian_requirements.inline" raw="yes" sort="age"]]

Install <span class="application">Tails Installer</span>
========================================================

In this step, you will install <span class="application">Tails
Installer</span>, a program designed specifically for installing Tails.

<a id="debian"></a>

If you are running Debian
-------------------------

### Configure the *backports* repository

1. Make sure that you are connected to the Internet.

1. Start <span class="application">Synaptic Package Manager</span>.

1. Choose
   <span class="guimenupath">
     <span class="guimenu">Settings</span>&nbsp;▸
     <span class="guimenuitem">Repositories</span></span>.

1. Depending on your Debian installation, two different dialogs might
   appear:

   a. If the dialog is titled <span class="guilabel">Software & Updates</span> and has tabs:

      Open the <span class="guilabel">Other Software</span> tab, and click on
      the <span class="button">Add&hellip;</span> button.

      In the <span class="guilabel">APT line</span> field, specify:

      * If you are running Debian 8 (Jessie):<br/>
        `deb http://http.debian.net/debian/ jessie-backports main`

      * If you are running Debian 9 (Stretch):<br/>
        `deb http://http.debian.net/debian/ stretch-backports main`

   a. If the dialog is titled <span class="guilabel">Repositories</span> and has no tabs:

      Click <span class="button">New</span> and specify:

      * <span class="guilabel">URI</span>: `http://http.debian.net/debian/`
      * If you are running Debian 8 (Jessie), <span class="guilabel">Distribution</span>: `jessie-backports`
      * If you are running Debian 9 (Stretch), <span class="guilabel">Distribution</span>: `stretch-backports`
      * <span class="guilabel">Section(s)</span>: `main`

1. Click the <span class="button">Add Source</span> button.

1. Click <span class="button">Close</span> or <span class="button">Ok</span>.

1. In the confirmation dialog, click <span class="guilabel">Reload</span> and
   wait for the download of the package information to finish.

### Install <span class="application">Tails Installer</span>

1. In the main windows of <span class="application">Synaptic</span>, click
   <span class="button">Search</span> and search for `tails-installer`.

1. In the list of packages, double-click on `tails-installer` to mark
   `tails-installer` for installation.

1. In the confirmation dialog, click <span class="button">Mark</span>.

1. Click on the <span class="button">Apply</span> button in the toolbar to
   apply the changes.

1. In the confirmation dialog, click <span class="button">Apply</span>.

1. After all the changes are applied, close <span class="application">Synaptic</span>.

<a id="ubuntu"></a>

If you are running Ubuntu
-------------------------

1. Make sure that you are connected to the Internet.

1. Start <span class="application">Software & Updates</span>.

1. Open the <span class="guilabel">Other Software</span> tab, and click on
   the <span class="button">Add&hellip;</span> button.

   In the <span class="guilabel">APT line</span> field, specify:
   `ppa:tails-team/tails-installer`

1. Click the <span class="button">Add Source</span> button.

1. Click <span class="button">Close</span>.

1. In the confirmation dialog, click <span class="guilabel">Reload</span> and
   wait for the download of the package information to finish.

1. Open <span class="application">Terminal</span> and execute the following command to install the
   <span class="code">tails-installer</span> package:

       apt install tails-installer

If you are running Linux Mint
-----------------------------

1. Make sure that you are connected to the Internet.

1. Start <span class="application">Software Manager</span>.

1. Choose
   <span class="guimenupath">
     <span class="guimenu">Edit</span>&nbsp;▸
     <span class="guimenuitem">Software sources</span></span>.

1. Click on the <span class="guilabel">PPAs</span> button and then
   choose to <span class="button">Add a new PPA&hellip;</span>.

1. In the dialog, specify `ppa:tails-team/tails-installer` and click
   <span class="button">Ok</span>.

1. Click <span class="button">Ok</span> again to close the description
   of the PPA.

1. In the <span class="guilabel">Software Sources</span> window, click
   on the <span class="button">Update the cache</span> button and wait
   for the download of the package information to finish.

1. Close the <span class="guilabel">Software Sources</span> dialog.

1. Wait a few seconds until <span class="application">Software Manager</span> reappears.

1. In the main window of <span class="application">Software
   Manager</span>, search for `tails-installer` and double-click on <span
   class="guilabel">Tails Installer</span> in the search results.

1. Click <span class="button">Install</span> in the description of
   <span class="application">Tails Installer</span>.

1. After <span class="application">Tails Installer</span> is installed,
   close <span class="application">Software Manager</span>.

[[!inline pages="install/inc/steps/install_final_in_debian.inline" raw="yes" sort="age"]]

[[!inline pages="install/inc/steps/restart_first_time.inline" raw="yes" sort="age"]]

[[!inline pages="install/inc/steps/create_persistence.inline" raw="yes" sort="age"]]
